<script setup>
import PHeroStars from './PHeroStars.vue';
</script>

<template>
  <div class="hero__title">
    <h1>Planetarium</h1>
    <PHeroStars></PHeroStars>
  </div>
</template>

<style scoped lang="scss">
.hero__title {
  position: relative;
  color: $color-white;
  width: 100%;
  text-align: center;
  @include responsive-value('margin-block', 5);
  @include responsive-value('padding-block', 7);
  background: radial-gradient(circle, rgba(63, 94, 251, 1) 0%, rgba(252, 70, 107, 1) 100%);
  --mask: radial-gradient(2.24rem at 50% 3rem, #000 99%, #0000 101%) calc(50% - 2rem) 0/4rem 51%
      repeat-x,
    radial-gradient(2.24rem at 50% -2rem, #0000 99%, #000 101%) 50% 1rem/4rem calc(51% - 1rem)
      repeat-x,
    radial-gradient(2.24rem at 50% calc(100% - 3rem), #000 99%, #0000 101%) calc(50% - 2rem) 100%/4rem
      51% repeat-x,
    radial-gradient(2.24rem at 50% calc(100% + 2rem), #0000 99%, #000 101%) 50% calc(100% - 1rem) /
      4rem calc(51% - 1rem) repeat-x;
  -webkit-mask: var(--mask);
  mask: var(--mask);
}
</style>
